# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/oklog/oklog
%global goipath         github.com/oklog/oklog
Version:                0.3.2
%global commit          ca7cdf51fb41fbc290986e9a24db4fa644ab0714

%gometa

%global common_description %{expand:
OK Log is a distributed and coordination-free log management system for big ol'
clusters. It's an on-prem solution that's designed to be a sort of building
block: easy to understand, easy to operate, and easy to extend.}

%global golicenses      LICENSE
%global godocs          doc DESIGN.md MODEL.md README.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Distributed and coordination-free log management system

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/djherbis/buffer)
BuildRequires:  golang(github.com/djherbis/nio)
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/log/level)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/hashicorp/go-sockaddr)
BuildRequires:  golang(github.com/hashicorp/memberlist)
BuildRequires:  golang(github.com/oklog/run)
BuildRequires:  golang(github.com/oklog/ulid)
BuildRequires:  golang(github.com/pborman/uuid)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/rs/cors)

%if %{without bootstrap}
%if %{with check}
# Tests
BuildRequires:  golang(github.com/prometheus/prometheus/util/testutil)
%endif
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%files
%license LICENSE
%doc doc DESIGN.md MODEL.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 00:24:08 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.2-1.20190515gitca7cdf5
- Initial package
